import { AWSTerraformState } from '@goldstack/infra-aws';
import { CloudProvider, TerraformDeployment, TerraformOptions } from '@goldstack/utils-terraform';
import { AwsCredentialIdentity } from '@aws-sdk/types';
export declare class AWSCloudProvider implements CloudProvider {
    user: AwsCredentialIdentity;
    region: string;
    remoteStateConfig: AWSTerraformState;
    generateEnvVariableString: () => string;
    setEnvVariables: () => void;
    getTfStateVariables: (deployment: TerraformDeployment) => [string, string][];
    constructor(credentials: AwsCredentialIdentity, awsConfig: AWSTerraformState, region: string);
}
export declare const terraformAwsCli: (args: string[], options?: TerraformOptions) => Promise<void>;
//# sourceMappingURL=utilsTerraformAws.d.ts.map